Get Splitter Version

Retrieve a specific version of a splitter in Extend

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

splitterIdstringRequired

The ID of the splitter.

Example: "spl_Xj8mK2pL9nR4vT7qY5wZ"

versionIdstringRequired
The version to retrieve. Accepts any of the following: - `"draft"` β€” returns the current draft version - `"latest"` β€” returns the latest published version (falls back to draft if none published) - A version number (e.g. `"0.1"`, `"1.0"`) β€” returns that specific published version - A version ID (e.g. `"splv_QYk6jgHA_8CsO8rVWhyNC"`) β€” returns that specific version by ID

Headers

x-extend-api-version"2026-02-09"Optional
API version to use for the request. If you're using an SDK, you can ignore this parameter. If you are not using an SDK and do not specify a version, you will either receive a `400 Bad Request` or be set to a previous legacy version. See [API Versioning](https://docs.extend.ai/2026-02-09/developers/api-versioning) for more details.
x-extend-workspace-idstringOptional
The workspace ID to target. **Required** when using an organization-scoped API key; optional for workspace-scoped keys (the key is already tied to a workspace). See [Authentication](https://docs.extend.ai/2026-02-09/developers/authentication) for details on API key scopes.

Response

Successfully retrieved splitter version
objectenum

The type of object. Will always be "splitter_version".

Allowed values:
idstring

The unique identifier for this version of the splitter.

Example: "splv_xK9mLPqRtN3vS8wF5hB2cQ"

descriptionstring or null

A description of this version of the splitter.

Example: "Updated split rules for multi-invoice packets"

versionstring

The version number or identifier for this specific version of the splitter. The draft version will have version=β€œdraft”.

Examples: "1.0", "2.1", "draft"

configobject
The configuration settings for this version of the splitter.
splitterIdstring

The ID of the splitter that this version belongs to.

Example: "spl_Xj8mK2pL9nR4vT7qY5wZ"

createdAtstringformat: "date-time"

The time (in UTC) at which the object was created. Will follow the RFC 3339 format.

Example: "2024-03-21T16:45:00Z"

Errors

400
Bad Request Error
401
Unauthorized Error
402
Payment Required Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error